package WEB-INF.classes.wenrgise.hrms.webtier.form;

import java.util.ArrayList;
import javax.servlet.http.HttpServletRequest;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;
import wenrgise.hrms.webtier.form.HrmBaseForm;

public class HrmPrmNoticeDetailForm extends HrmBaseForm {
  String noticeNo;
  
  String noticeDate;
  
  String desc;
  
  String[] txtDesignation;
  
  String[] txtVacancies;
  
  String[] txtExamDate;
  
  String selectAll;
  
  String disabnoticeNo;
  
  String disabnoticeDate;
  
  String disabdesc;
  
  String disabtxtVacancies;
  
  String disabtxtExamDate;
  
  String disabtxtAPARYears;
  
  String disabselectAll;
  
  String disabtxtLocationCode;
  
  String butNoticeNo;
  
  String butNoticeDate;
  
  String disabbutNoticeDate;
  
  String disabbutNoticeNo;
  
  String noticeId;
  
  ArrayList arylstNoticeDtl = new ArrayList();
  
  String butTxtExamDate;
  
  String disabbutTxtExamDate;
  
  private String[] txtGradeId;
  
  private String[] txtDesigId;
  
  private String[] txtGrade;
  
  private String[] butGrade;
  
  private String[] butDesig;
  
  public void reset(ActionMapping mapping, HttpServletRequest request) {
    super.reset(mapping, request);
  }
  
  public ActionErrors validate(ActionMapping mapping, HttpServletRequest request) {
    return super.validate(mapping, request);
  }
  
  public String getNoticeNo() {
    return this.noticeNo;
  }
  
  public void setNoticeNo(String newNoticeNo) {
    this.noticeNo = newNoticeNo;
  }
  
  public String getNoticeDate() {
    return this.noticeDate;
  }
  
  public void setNoticeDate(String newNoticeDate) {
    this.noticeDate = newNoticeDate;
  }
  
  public String getDesc() {
    return this.desc;
  }
  
  public void setDesc(String newDesc) {
    this.desc = newDesc;
  }
  
  public String[] getTxtDesignation() {
    return this.txtDesignation;
  }
  
  public void setTxtDesignation(String[] newTxtDesignation) {
    this.txtDesignation = newTxtDesignation;
  }
  
  public String[] getTxtVacancies() {
    return this.txtVacancies;
  }
  
  public void setTxtVacancies(String[] newTxtVacancies) {
    this.txtVacancies = newTxtVacancies;
  }
  
  public String[] getTxtExamDate() {
    return this.txtExamDate;
  }
  
  public void setTxtExamDate(String[] newTxtExamDate) {
    this.txtExamDate = newTxtExamDate;
  }
  
  public String getSelectAll() {
    return this.selectAll;
  }
  
  public void setSelectAll(String newSelectAll) {
    this.selectAll = newSelectAll;
  }
  
  public String getDisabnoticeNo() {
    return this.disabnoticeNo;
  }
  
  public void setDisabnoticeNo(String newDisabnoticeNo) {
    this.disabnoticeNo = newDisabnoticeNo;
  }
  
  public String getDisabnoticeDate() {
    return this.disabnoticeDate;
  }
  
  public void setDisabnoticeDate(String newDisabnoticeDate) {
    this.disabnoticeDate = newDisabnoticeDate;
  }
  
  public String getDisabdesc() {
    return this.disabdesc;
  }
  
  public void setDisabdesc(String newDisabdesc) {
    this.disabdesc = newDisabdesc;
  }
  
  public String getDisabtxtVacancies() {
    return this.disabtxtVacancies;
  }
  
  public void setDisabtxtVacancies(String newDisabtxtVacancies) {
    this.disabtxtVacancies = newDisabtxtVacancies;
  }
  
  public String getDisabtxtExamDate() {
    return this.disabtxtExamDate;
  }
  
  public void setDisabtxtExamDate(String newDisabtxtExamDate) {
    this.disabtxtExamDate = newDisabtxtExamDate;
  }
  
  public String getDisabtxtAPARYears() {
    return this.disabtxtAPARYears;
  }
  
  public void setDisabtxtAPARYears(String newDisabtxtAPARYears) {
    this.disabtxtAPARYears = newDisabtxtAPARYears;
  }
  
  public String getDisabselectAll() {
    return this.disabselectAll;
  }
  
  public void setDisabselectAll(String newDisabselectAll) {
    this.disabselectAll = newDisabselectAll;
  }
  
  public String getDisabtxtLocationCode() {
    return this.disabtxtLocationCode;
  }
  
  public void setDisabtxtLocationCode(String newDisabtxtLocationCode) {
    this.disabtxtLocationCode = newDisabtxtLocationCode;
  }
  
  public String getButNoticeNo() {
    return this.butNoticeNo;
  }
  
  public void setButNoticeNo(String newButNoticeNo) {
    this.butNoticeNo = newButNoticeNo;
  }
  
  public String getButNoticeDate() {
    return this.butNoticeDate;
  }
  
  public void setButNoticeDate(String newButNoticeDate) {
    this.butNoticeDate = newButNoticeDate;
  }
  
  public String getDisabbutNoticeDate() {
    return this.disabbutNoticeDate;
  }
  
  public void setDisabbutNoticeDate(String newDisabbutNoticeDate) {
    this.disabbutNoticeDate = newDisabbutNoticeDate;
  }
  
  public String getDisabbutNoticeNo() {
    return this.disabbutNoticeNo;
  }
  
  public void setDisabbutNoticeNo(String newDisabbutNoticeNo) {
    this.disabbutNoticeNo = newDisabbutNoticeNo;
  }
  
  public String getNoticeId() {
    return this.noticeId;
  }
  
  public void setNoticeId(String newNoticeId) {
    this.noticeId = newNoticeId;
  }
  
  public ArrayList getArylstNoticeDtl() {
    return this.arylstNoticeDtl;
  }
  
  public void setArylstNoticeDtl(ArrayList newArylstNoticeDtl) {
    this.arylstNoticeDtl = newArylstNoticeDtl;
  }
  
  public String getButTxtExamDate() {
    return this.butTxtExamDate;
  }
  
  public void setButTxtExamDate(String newButTxtExamDate) {
    this.butTxtExamDate = newButTxtExamDate;
  }
  
  public String getDisabbutTxtExamDate() {
    return this.disabbutTxtExamDate;
  }
  
  public void setDisabbutTxtExamDate(String newDisabbutTxtExamDate) {
    this.disabbutTxtExamDate = newDisabbutTxtExamDate;
  }
  
  public String[] getTxtGradeId() {
    return this.txtGradeId;
  }
  
  public void setTxtGradeId(String[] newTxtGradeId) {
    this.txtGradeId = newTxtGradeId;
  }
  
  public String[] getTxtDesigId() {
    return this.txtDesigId;
  }
  
  public void setTxtDesigId(String[] newTxtDesigId) {
    this.txtDesigId = newTxtDesigId;
  }
  
  public String[] getTxtGrade() {
    return this.txtGrade;
  }
  
  public void setTxtGrade(String[] newTxtGrade) {
    this.txtGrade = newTxtGrade;
  }
  
  public String[] getButGrade() {
    return this.butGrade;
  }
  
  public void setButGrade(String[] newButGrade) {
    this.butGrade = newButGrade;
  }
  
  public String[] getButDesig() {
    return this.butDesig;
  }
  
  public void setButDesig(String[] newButDesig) {
    this.butDesig = newButDesig;
  }
}
